com.snowflake.client.core

## Class BasicEvent

- java.lang.Object
- - com.snowflake.client.core.Event
  - - com.snowflake.client.core.BasicEvent

    public class BasicEvent
    extends Event

Base Event class for events that don't need to deviate from the default flush behavior.

Author:
  jrosen

### Nested Class Summary

Nested Classes
`static class` `BasicEvent.QueryState`

### Nested classes/interfaces inherited from class com.snowflake.client.core.Event

`Event.EventType`

### Constructor Summary

Constructors
Constructor and Description
`BasicEvent(Event.EventType type, String message)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `flush()`

### Methods inherited from class com.snowflake.client.core.Event

`getMessage, getType, setMessage, setType, writeEventDumpLine`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### BasicEvent

    public BasicEvent(Event.EventType type,
                      String message)

### Method Detail

#### flush

    public void flush()

Specified by:
  `flush` in class `Event`